#
# spec file for package chocolate-doom
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           chocolate-doom
Version:        2.2.1
Release:        0
%define rversion	2.2.1
Summary:        Conservative DOOM/Heretic/Hexen/Strife source port
License:        GPL-2.0+
Group:          Amusements/Games/3D/Shoot
Url:            http://chocolate-doom.org/

#Git-Clone:	git://github.com/fragglet/chocolate-doom
#Git-Web:	https://github.com/fragglet/chocolate-doom
Source:         http://www.chocolate-doom.org/downloads/%rversion/%name-%rversion.tar.gz
Source2:        http://www.chocolate-doom.org/downloads/%rversion/%name-%rversion.tar.gz.asc
Source3:        %name.keyring
Patch1:         chdoom-iwaddir.diff
Patch4:         chdoom-date.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  fdupes
BuildRequires:  python
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(SDL_net)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(sdl) >= 1.1.3
Provides:       chocolate-heretic = %version
Provides:       chocolate-hexen = %version
Provides:       chocolate-strife = %version

%description
Chocolate Doom is a Doom source port with focus on accurate
reproduction of the original DOS version of Doom and other games
based on the Doom engine, in a form that can be run on modern
computers. Originally, Chocolate Doom was only a Doom source port.
The project now includes ports of Heretic and Hexen, and Strife.

Chocolate Doom's aims are:

 * Accurate reproduction of the original DOS versions of the games,
   including bugs.
 * Compatibility with the DOS demo, configuration and savegame files.
 * To provide an accurate retro "feel" (display and input should
   behave the same).

%prep
%setup -Tqb0 -n %name-%rversion
%patch -P 1 -P 4 -p1

%build
autoreconf -fi
%configure
make %{?_smp_mflags};

%install
b="%buildroot";
%make_install iconsdir="%_datadir/icons/hicolor/64x64/apps" \
	docdir="%_docdir/%name"
mkdir -p "$b/%_bindir"
mv "$b/%_prefix/games"/* "$b/%_bindir/"
rm -f "$b/%_docdir/%name/INSTALL"
%suse_update_desktop_file -r chocolate-setup chocolate-setup Game ActionGame
%fdupes %buildroot/%_prefix

%post
echo "INFO: %name: The global IWAD directory is %_datadir/doom."

%files
%defattr(-,root,root)
%_bindir/chocolate-*
%_mandir/man*/*
%_datadir/appdata/
%_datadir/applications/*
%_datadir/icons/*
%_docdir/chocolate-*/

%changelog
